## gjs 1.64.5

=== meson_options.txt ===
# Features

option('cairo', type: 'feature', value: 'auto',
    description: 'Build cairo module')
option('readline', type: 'feature', value: 'auto',
    description: 'Use readline for input in interactive shell and debugger')
option('profiler', type: 'feature', value: 'auto',
    description: 'Build profiler (Linux only)')

# Flags

option('installed_tests', type: 'boolean', value: true,
    description: 'Install test programs')
option('dtrace', type: 'boolean', value: false,
    description: 'Include dtrace trace support')
option('systemtap', type: 'boolean', value: false,
    description: 'Include systemtap trace support (requires -Ddtrace=true)')
option('bsymbolic_functions', type: 'boolean', value: true,
    description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for MSVC builds')
option('spidermonkey_rtti', type: 'boolean', value: false,
    description: 'Needs to match SpiderMonkey\'s config option')
option('skip_dbus_tests', type: 'boolean', value: false,
    description: 'Skip tests that use a DBus session bus')
option('skip_gtk_tests', type: 'boolean', value: false,
    description: 'Skip tests that need a display connection')
option('verbose_logs', type: 'boolean', value: false,
    description: 'Enable extra log messages that may decrease performance (not allowed in release builds)')

## gjs 0.7.1

=== debian/changelog ===
gjs (0.7.1-1ubuntu4) maverick; urgency=low

  * fix LP: #646877 - wrap $@ with double quotes in gjs-console so that
    commands passed to gjs-console.real stay intact

 -- Delan Azabani <delan@azabani.com>  Fri, 08 Oct 2010 12:30:04 +0800

gjs (0.7.1-1ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: insecure library loading (LP: #650862)
    - debian/gjs-console.sh: use shell expansion to set LD_LIBRARY_PATH
    - CVE-2010-3349

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 29 Sep 2010 02:31:40 -0500

gjs (0.7.1-1ubuntu2) maverick; urgency=low

  * fix LP: #576991 - Make gjs not need a rebuild for each xulrunner release;
    Use dh_xulrunner to add binary depends on xulrunner for libgjs0a;
    Add binary depends on xulrunner-dev (>= 1.9.2) for libgjs-dev
    - update debian/control
    - update debian/rules 
  * fix LP: #629631 - gnome-shell will not install due to depends issues; fixed
    by the above changes
  * Add back chrpath as a build-dep and delete the rpath in libgjs; Any rdepends
    of libgjs will now need a wrapper script to find libmozjs
    - update debian/rules
    - update debian/control
  * Add a wrapper around gjs-console so it can find libmozjs; install wrapper
    in override_dh_install
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Sat, 04 Sep 2010 21:03:36 -0500

gjs (0.7.1-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #616598)  Remaining changes:
    + debian/control: 
      - Add Ubuntu VCS info
      - Drop libmozjs Build-Depends; Ubuntu does not have this library.
      - Drop chrpath Build-Depends; we need to keep the RPATH because libmozjs
        is not a system library in Ubuntu.
      - Add xulrunner{,-dev}:Depends to binary packages
      - Bump xulrunner-dev build depends to 1.9.2
      - Build-depend on unversioned automake
    + debian/rules:
      - Generate strict dependencies on xulrunner.
      - Apply patch to fix libtool's handling of --as-needed
      - Add -Wl,--as-needed to LDFLAGS
    + debian/libgjs0a.lintian-overrides:
      - Override the entire rpath tag, not just for the specific libraries.
        The full lintian warning will change with each xulrunner version.
    + debian/ltmain-add-as-needed.patch
      - Fix libtool's ordering of --as-needed argument.
    + add debian/patches/01_disable_memcheck.patch
      - Don't make leaks fatal, see b.g.o #616193
    + add debian/patches/02_gobject_introspection.patch:
      - Use gobject-introspection 0.9
  * Add debian/patches/03_libmozjs_private.patch (originally in 0.5-1ubuntu1)
    - Move @JS_PACKAGE@ libmozjs to Requires.private to prevent applications
      unnecessarily linking with libmozjs

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 12 Aug 2010 00:22:06 -0500

gjs (0.7.1-1) unstable; urgency=low

  * Not really an upstream release, just fixing the versioning of the
    package from yesterday =(
  * Convert package to new source format 3.0 (quilt)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Thu, 15 Jul 2010 10:45:47 -0300

gjs (0.7-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version with no changes
  * debian/libgjs0a.{shlibs,symbols}:
  - add shlibs and symbols information
  * debian/rules:
  - disable tests that seem to rely on stuff only added in the 0.9 branch
    of G-I

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 26 May 2010 10:55:19 -0300

gjs (0.7-0ubuntu4) maverick; urgency=low

  * debian/control:
    - Build-depend on unversioned automake
  * debian/patches/02_gobject_introspection.patch:
    - Use gobject-introspection 0.9

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 17:46:36 +1000

gjs (0.7-0ubuntu3) maverick; urgency=low

  * No source change rebuild to pick up xulrunner-1.9.2.8

 -- Laurent Bigonville <bigon@ubuntu.com>  Sat, 24 Jul 2010 14:24:54 +0200

gjs (0.7-0ubuntu2) maverick; urgency=low

  * No source change rebuild to pick up xulrunner-1.9.2.7

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 18 Jul 2010 14:54:54 -0500

gjs (0.7-0ubuntu1) maverick; urgency=low

  * New upstream version
  * debian/control:
    - updated gobject-introspection requirement
  * debian/rules:
    - don't run testsuite for now since it breaks, that should be debugged 
      later on but let's solve installability issues for now

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Jun 2010 16:08:46 +0200

gjs (0.6-1) unstable; urgency=low

  * New upstream version.
  - build-depends on cairo, so updated debian/control to match
  - library package renamed to libgjs0a because it broke ABI without
    changing soname
  * debian/rules:
  - only run tests on Linux, other platforms fail here trying to run
    dbus (Closes: #571792)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 08 Apr 2010 19:53:12 -0300

gjs (0.5-1ubuntu2) lucid; urgency=low

  * debian/patches/01_disable_memcheck.patch:
    - Don't make leaks fatal, see b.g.o #616193. Fixes LP: #537903
  * debian/control:
    - Build-depend on quilt
  * debian/rules:
    - Include quilt.make and add patch/unpatch targets 
  * Transition to xulrunner 1.9.2:
    - bump minimum xulrunner depends to 1.9.2
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Apr 2010 16:36:54 +0100

gjs (0.5-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable.  Remaining Ubuntu changes:
    + debian/control:
      - Replaces/Conflicts old gjs{,-dev} package.
      - Drop libmozjs Build-Depends; Ubuntu does not have this library.
      - Drop chrpath Build-Depends; we need to keep the RPATH because libmozjs
        is not a system library in Ubuntu.
      - Add xulrunner{,-dev}:Depends to binary packages
    + debian/rules:
      - Generate strict dependencies on xulrunner.
      - Apply patch to fix libtool's handling of --as-needed
      - Add -Wl,--as-needed to LDFLAGS
    + gjs-1.0.pc.in
      - Move @JS_PACKAGE@ libmozjs to Requires.private to prevent applications


=== debian/control ===
Source: gjs
Section: interpreters
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk
Uploaders: Gustavo Noronha Silva <kov@debian.org>
Build-Depends: debhelper (>= 7.3.0),
               autotools-dev,
               autoconf,
               automake,
               libtool,
               chrpath,
               pkg-config,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgirepository1.0-dev (>= 0.6.3),
               gobject-introspection (>= 0.6.10),
               gir1.0-glib-2.0,
               xulrunner-dev (>= 1.9.2),
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
VCS-Bzr: lp:ubuntu/gjs
VCS-Browser: https://code.launchpad.net/~ubuntu-branches/ubuntu/lucid/gjs/lucid
Standards-Version: 3.8.4
Homepage: http://live.gnome.org/Gjs

Package: gjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libgjs0a
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
         ${gir:Depends}
Conflicts: libgjs0
Replaces: libgjs0
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Section: libdevel
Depends: libgjs0a (= ${binary:Version}),
         ${misc:Depends},
         xulrunner-dev (>= 1.9.2),
         libgirepository1.0-dev
Conflicts: gjs-dev (<< 0.4-3)
Replaces: gjs-dev (<< 0.4-3)         
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

# Hack to make it possible to run autoreconf without making the diff
# big, and without requiring a patch that needs to be updated for
# every release
override_dh_auto_configure:
	mkdir _build
	cp -a * _build || true
	cd _build && autoreconf -fi
	cd _build && patch -p3 < ../debian/ltmain-add-as-needed.patch
	dh_auto_configure --sourcedirectory=_build -- LDFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed"

override_dh_auto_build:
	dh_auto_build --sourcedirectory=_build

override_dh_auto_install:
	dh_auto_install --sourcedirectory=_build
	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/libgjs.so.0.0.0

override_dh_install:
	dh_install
	mv debian/gjs/usr/bin/gjs-console debian/gjs/usr/bin/gjs-console.real
	cp debian/gjs-console.sh debian/gjs/usr/bin/gjs-console

override_dh_makeshlibs:
	dh_makeshlibs -plibgjs0a -V 'libgjs0a (>= 0.7.1)'

override_dh_clean:
	rm -rf _build
	dh_clean

override_dh_auto_test:
	# Our gir-repository packages don't build Everything.typelib, so the
	# Everything tests will fail.  Just remove them.
	-rm _build/test/js/testEverythingBasic.js
	-rm _build/test/js/testEverythingEncapsulated.js

	# Temporarily disable running new tests that are failing. Some
	# tests apparently depend on test API only available in later,
	# incompatible versions of gobject-introspection.
	-rm _build/test/js/testByteArray.js
	-rm _build/test/js/testGI.js
	-rm _build/test/js/testGIMarshalling.js

override_dh_shlibdeps:
	dh_shlibdeps
	dh_xulrunner -p libgjs0a

## gjs 0.7.7

=== debian/changelog ===
gjs (0.7.7-0ubuntu1+build1) natty; urgency=low

  * No-change rebuild for libgirepository rename

 -- Michael Terry <mterry@ubuntu.com>  Thu, 09 Dec 2010 08:41:26 -0500

gjs (0.7.7-0ubuntu1) natty; urgency=low

  * New upstream release v0.7.7

  * Bump minimum gobject-introspection version
    - update debian/control
  * Drop unneeded patches now we have the latest G-I
    - remove debian/patches/01_revert_machine_indep_types_removal.diff
    - remove debian/patches/02_gobject_introspection.patch
    - update debian/patches/series 
  * Drop patch merged upstream
    - remove debian/patches/03_libmozjs_private.patch
    - update debian/patches/series
  * Drop debian/patches/debian-changes-0.7.1-1. This looks wrong to me, as
    it's adding GJS_LIBS to gjs_console_LDADD, when gjs-console is already
    statically linking libgjs.a
  * Depend on xulrunner-2.0-mozjs and drop the dh_xulrunner call. There's
    currently no way to automatically create the correct dependency here,
    but we'll probably do that in the future
    - update debian/control
    - update debian/rules
  * Update the gjs-console wrapper to not need the xulrunner binary
    to find the location of libmozjs.so
    - update debian/gjs-console.sh
  * Drop ltmain-add-as-needed.patch, as this is now default in our toolchain
    - remove debian/ltmain-add-as-needed.patch
    - update debian/rules
  * Don't install the real gjs-console binary to /usr/bin/gjs-console.real,
    but move it to /usr/lib/gjs instead. Having gjs-console.real in $PATH
    doesn't seem right, as it will never run when being called directly
    - update debian/rules
    - update debian/gjs-console.sh
  * Fix libregress linkage - it needs GIO
    - add debian/patches/02_gjs_test_linkage.patch
    - update debian/patches/series
  * Rename to libgjs0b because ABI broke again without changing SO name
    - rename debian/libgjs0a.install => debian/libgjs0b.install
    - rename debian/libgjs0a.lintian-overrides =>
       debian/libgjs0b.lintian-overrides
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 26 Nov 2010 15:15:38 +0000

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libdbus-glib-1-dev,
                libglib2.0-dev,
                libgirepository1.0-dev (>= 0.6.3),
-               gobject-introspection (>= 0.6.10),
+               gobject-introspection (>= 0.9.5),
                gir1.0-glib-2.0,
-               xulrunner-dev (>= 1.9.2),
+               xulrunner-dev (>= 2.0~b7),
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
@@ -35,14 +35,15 @@
  .
  This package contains the interactive console application.
 
-Package: libgjs0a
+Package: libgjs0b
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, 
          ${misc:Depends}, 
-         ${gir:Depends}
-Conflicts: libgjs0
-Replaces: libgjs0
+         ${gir:Depends},
+         xulrunner-2.0-mozjs
+Conflicts: libgjs0, libgjs0a
+Replaces: libgjs0, libgjs0a
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the
@@ -53,7 +54,7 @@
 Package: libgjs-dev
 Architecture: any
 Section: libdevel
-Depends: libgjs0a (= ${binary:Version}),
+Depends: libgjs0b (= ${binary:Version}),
          ${misc:Depends},
          xulrunner-dev (>= 1.9.2),
          libgirepository1.0-dev

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 	mkdir _build
 	cp -a * _build || true
 	cd _build && autoreconf -fi
-	cd _build && patch -p3 < ../debian/ltmain-add-as-needed.patch
 	dh_auto_configure --sourcedirectory=_build -- LDFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed"
 
 override_dh_auto_build:
@@ -22,11 +21,12 @@
 
 override_dh_install:
 	dh_install
-	mv debian/gjs/usr/bin/gjs-console debian/gjs/usr/bin/gjs-console.real
+	mkdir -p debian/gjs/usr/lib/gjs
+	mv debian/gjs/usr/bin/gjs-console debian/gjs/usr/lib/gjs
 	cp debian/gjs-console.sh debian/gjs/usr/bin/gjs-console
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibgjs0a -V 'libgjs0a (>= 0.7.1)'
+	dh_makeshlibs -plibgjs0b -V 'libgjs0b (>= 0.7.7)'
 
 override_dh_clean:
 	rm -rf _build
@@ -47,4 +47,3 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	dh_xulrunner -p libgjs0a

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gjs/([\d\.]+)\d/ mutter-(.*)\.tar\.gz debian uupdate

## gjs 0.7.10

=== debian/changelog ===
gjs (0.7.10-1ubuntu2) natty; urgency=low

  * Change the xulrunner-2.0 depends to xulrunner-2.0-mozjs to avoid pulling
    in the whole of Gecko, and move the depends to libgjs0b instead
    - update debian/control{.in}

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 17 Feb 2011 10:42:48 +0000

gjs (0.7.10-1ubuntu1) natty; urgency=low

  * debian/control.in:
    - gjs depends on xulrunner-2.0

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Feb 2011 12:24:35 +1100

gjs (0.7.10-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - Drop build-depend on libmozjs-dev
    - Make libgjs-dev depend on xulrunner-dev and libdbus-1-dev

 -- Laurent Bigonville <bigon@debian.org>  Sun, 06 Feb 2011 13:01:02 +0100

gjs (0.7.9-1) experimental; urgency=low

  * debian/rules:
    - Always depend on the latest upstream version in the shlibs file.
    - Fail the build if the symbols file is outdated.
    - Run the testsuite on !linux, but don't abort the build if it fails.
  * New upstream release.
    - debian/libgjs0b.symbols:
      + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Jan 2011 15:17:31 +0000

gjs (0.7.8-2) experimental; urgency=low

  * debian/control.in:
    - Put the package under the GNOME team maintenance and use magic to
      populate Uploaders
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Add Vcs-{Svn,Browser} fields
    - Add cdbs and gnome-pkg-tools and Build-dep
    - Bump xulrunner-dev Build-dependency to 1.9.2 (Closes: #609895)
    - Drop autoconf, automake1.11 and libtool, no needed for now
    - Remove ${gir:Depends} substitution from libgjs0b package (Closes: #592694)
    - Bump libgjs-deb package dependency against libmozjs-dev
  * debian/rules:
    - Use cdbs instead of dh7
    - Do not run autoreconf
    - Drop explicit shlibs version, we have .symbols file anyway
    - Excludes libraries installed in /usr/lib/gjs-1.0/ from .symbols file
    - Remove bashism (Closes: #581455)
  * Bump debhelper compatibility to 8
  * debian/control: Copy BSD licence instead of linking to it to please
    lintian
  * debian/watch: Fix URL pattern

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 Jan 2011 01:25:12 +0100

gjs (0.7.8-1) experimental; urgency=low

  * New release.
  * debian/control:
  - adjust build-depends for gir1.2-* packages

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 13 Jan 2011 13:43:51 -0200

gjs (0.7.6-2) experimental; urgency=low

  * debian/control:
  - build-depend on automake1.11 (Closes: #603222)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 Nov 2010 19:26:16 -0200

gjs (0.7.6-1) experimental; urgency=low

  * debian/patches/*:
  - removed; should no longer be needed
  * debian/control:
  - renamed library package to libgjs0b because of ABI breakage
  - new version requires libmozjs-dev >= 1.9.2.
  - build-depend on xulrunner-dev >= 1.9.2.12
  - build-depend on gobject-introspection >= 0.9.2
  - also build-depend on gir1.0-glib-2.0, and gir1.0-freedesktop >= 0.9.12
  * debian/libgjs0b.symbols:
  - updated

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 09 Nov 2010 22:01:53 -0200

## gjs 0.7.11

=== debian/changelog ===
gjs (0.7.11-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
    - Make libgjs0b depends against xulrunner-2.0-mozjs

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 27 Feb 2011 00:27:14 +0100

gjs (0.7.11-1) experimental; urgency=low

  * New upstream release.
  * debian/libgjs0b.symbols: update with two new symbols.

 -- Frederic Peters <fpeters@debian.org>  Wed, 23 Feb 2011 10:09:19 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gjs
Section: interpreters
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               chrpath,
               pkg-config,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgirepository1.0-dev (>= 0.10.1),
               gobject-introspection (>= 0.10.1),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               xulrunner-dev (>= 1.9.2),
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/gjs
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/experimental/gjs
Homepage: http://live.gnome.org/Gjs

Package: gjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libgjs0b
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-2.0-mozjs
Conflicts: libgjs0, libgjs0a
Replaces: libgjs0, libgjs0a
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Section: libdevel
Depends: libgjs0b (= ${binary:Version}),
         ${misc:Depends},
         libgirepository1.0-dev,
         xulrunner-dev (>= 1.9.2),
         libdbus-1-dev
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

## gjs 0.7.13

=== debian/changelog ===
gjs (0.7.13-2ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
    - Make libgjs0b depends against xulrunner-2.0-mozjs

 -- Laurent Bigonville <bigon@ubuntu.com>  Tue, 22 Mar 2011 16:06:32 +0100

gjs (0.7.13-2) experimental; urgency=low

  * debian/patches/01_remove_rpath_flags.patch:
    + New patch. Don't add an rpath to Libs in the pkgconfig file, we don't
      need it as our libmozjs is in /usr/lib.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 17 Mar 2011 23:57:30 +0000

gjs (0.7.13-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 17:28:35 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: gjs
 Section: interpreters
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,

## gjs 0.7.14

=== debian/changelog ===
gjs (0.7.14-1ubuntu1) oneiric; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
    - Make libgjs0b depends against xulrunner-2.0-mozjs

 -- Laurent Bigonville <bigon@ubuntu.com>  Fri, 06 May 2011 22:28:30 +0200

gjs (0.7.14-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/02_fix_bigendian_test.patch: Should fix FTBFS on big-endian
    arch (Closes: #610256)
  * debian/control: Bump Standards-Version to 3.9.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 May 2011 23:58:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: gjs
 Section: interpreters
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -24,7 +25,7 @@
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/gjs
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/experimental/gjs
 Homepage: http://live.gnome.org/Gjs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgjs0b := -Xusr/lib/gjs-1.0/ -V -- -c4

ifeq ($(DEB_BUILD_ARCH_OS),linux)
DEB_MAKE_CHECK_TARGET := check
else
DEB_MAKE_CHECK_TARGET := check || true
endif

install/libgjs0b::
	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/libgjs.so.0.0.0

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gjs/([\d\.]+)/gjs-(.*)\.tar\.gz debian uupdate

## gjs 1.30.0

=== debian/changelog ===
gjs (1.30.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2011 22:42:12 -0400

gjs (1.29.18-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/libgjs0c.symbols: Add 1 new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2011 12:38:48 -0400

gjs (1.29.17-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control.in
    - Dropped gir1.2-glib-2.0 & gir1.2-freedesktop build-dependencies
    - Bump minimum gobject to 1.29.16

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2011 09:45:58 +0200

gjs (1.29.16-0ubuntu2) oneiric; urgency=low

  * Updated symbols list to not list the .so excluded by the rules

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Aug 2011 17:02:38 +0200

gjs (1.29.16-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #822464)
  * library package renamed to libgjs0c because it broke ABI again
    without changing soname
  * debian/control.in
    - Build-depends on gobject-introspection  & girepository 1.29.15+
  * debian/libgjs-dev.install: Install *.gir
  * debian/libgjs0c.install: Install typelibs
  * debian/libgjs0c.symbols: Updated symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2011 15:03:32 -0400

gjs (1.29.0-1ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
    - build against public api stable mozjs185 and remove xulrunner deps
  * debian/patches/00git_support_mozjs185.patch,
    00git_conditionally_adapt_to_JS_BufferIsCompilableUnit_changes.patch,
    00git_conditionally_adapt_to_JS_DestroyScript_removal.patch:
    Drop, applied upstream.

 -- Laurent Bigonville <bigon@ubuntu.com>  Fri, 22 Jul 2011 21:56:42 +0200

gjs (1.29.0-1) unstable; urgency=low

  * New upstream release.
    - Fix FTBFS with iceweasel 5.0 (Closes: #631043)
  * debian/control.in:
    - Bump priority to optional
  * debian/rules: Make tests no-fatal for now, they require newer
    gobject-introspection (>= 1.29.0)
  * debian/libgjs0b.symbols: Adjusts .symbols file
  * debian/watch:
    - Switch to .bz2 tarballs.
    - Do not call uupdate anymore
  * debian/patches/01_remove_rpath_flags.patch: Refresh patch
  * debian/patches/02_fix_bigendian_test.patch: Drop patch, hackish fix
    according to upstream

 -- Laurent Bigonville <bigon@debian.org>  Fri, 22 Jul 2011 20:30:44 +0200

gjs (0.7.14-1ubuntu2) oneiric; urgency=low

  * debian/control.in, debian/patches/00git_support_mozjs185.patch,
    00git_conditionally_adapt_to_JS_BufferIsCompilableUnit_changes.patch,
    00git_conditionally_adapt_to_JS_DestroyScript_removal.patch:
    - build against public api stable mozjs185 and remove xulrunner deps
    - Fixes LP: #788500
    - Also refer to desktop-o-mozilla-rapid-release-maintenance blueprint

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 26 May 2011 08:22:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 
 Source: gjs
 Section: interpreters
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -17,11 +17,9 @@
                pkg-config,
                libdbus-glib-1-dev,
                libglib2.0-dev,
-               libgirepository1.0-dev (>= 0.10.1),
-               gobject-introspection (>= 0.10.1),
-               gir1.2-glib-2.0,
-               gir1.2-freedesktop,
-               xulrunner-dev (>= 1.9.2),
+               libgirepository1.0-dev (>= 1.29.16),
+               gobject-introspection (>= 1.29.16),
+               libmozjs185-dev,
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
@@ -40,12 +38,12 @@
  .
  This package contains the interactive console application.
 
-Package: libgjs0b
+Package: libgjs0c
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-2.0-mozjs
-Conflicts: libgjs0, libgjs0a
-Replaces: libgjs0, libgjs0a
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgjs0, libgjs0a, libgjs0b
+Replaces: libgjs0, libgjs0a, libgjs0b
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the
@@ -56,10 +54,10 @@
 Package: libgjs-dev
 Architecture: any
 Section: libdevel
-Depends: libgjs0b (= ${binary:Version}),
+Depends: libgjs0c (= ${binary:Version}),
          ${misc:Depends},
          libgirepository1.0-dev,
-         xulrunner-dev (>= 1.9.2),
+         libmozjs185-dev,
          libdbus-1-dev
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgjs0c := -Xusr/lib/gjs-1.0/ -V -- -c4

DEB_MAKE_CHECK_TARGET := check || true

install/libgjs0c::
	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/libgjs.so.0.0.0

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gjs/([\d\.]+)/gjs-(.*)\.tar\.bz2

## gjs 1.30.1

=== debian/changelog ===
gjs (1.30.1-1ubuntu1) precise; urgency=low

  * Sync with Debian. Remaining Ubuntu change:
    - Keep libgjs0c library name introduced for oneiric

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Feb 2012 20:38:42 -0500

gjs (1.30.1-1) unstable; urgency=low

  * New upstream release.
  * Cherry-pick patches from upstream Git to correctly handle ffi return
    values. Fixes test-suite failures on big-endian architectures.
    Closes: #610256
    - Add 02_function-Correctly-convert-from-ffi-return-values-to.patch.
    - Add 03_function-Fix-ffi-return-value-handling-on-32-bit.patch

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Jan 2012 06:30:06 +0100

gjs (1.30.0-3) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * debian/watch: Track .xz tarballs.
  * Build against libmozjs185. The libmozjs version built from iceweasel
    proved to be too much of a moving target. Closes: #653051

  [ Jordi Mallach ]
  * Update Vcs-* URLs.

 -- Jordi Mallach <jordi@debian.org>  Sat, 21 Jan 2012 00:31:27 +0100

gjs (1.30.0-2) unstable; urgency=low

  * Upload to unstable
  * Triggers rebuild again libmozjs-dev 8.0 (Closes: #648840)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 15:49:06 +0000

gjs (1.30.0-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: Update build-dep on gobject-introspection
  * debian/*.install: Install gir and typelib for GjsDbus

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 21 Oct 2011 20:40:36 +0200

gjs (1.29.0-2) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Update Vcs- fields to unstable branch

  [ Josselin Mouette ]
  * Generate a substitution variable for Provides that embeds the 
    libmozjs version.
  * Add this variable to shlibs. Closes: #635174.
  * Remove symbols file, it’s useless as long as mozjs is part of the 
    ABI.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Sep 2011 17:08:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -19,13 +19,15 @@
                libglib2.0-dev,
                libgirepository1.0-dev (>= 1.29.16),
                gobject-introspection (>= 1.29.16),
+               gir1.2-glib-2.0,
+               gir1.2-freedesktop,
                libmozjs185-dev,
                dbus-x11,
                uuid-runtime,
                libcairo2-dev
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/gjs
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/experimental/gjs
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gjs
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gjs
 Homepage: http://live.gnome.org/Gjs
 
 Package: gjs
@@ -44,6 +46,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgjs0, libgjs0a, libgjs0b
 Replaces: libgjs0, libgjs0a, libgjs0b
+Provides: ${gjs:Provides}
 Description: Mozilla-based javascript bindings for the GNOME platform
  Makes it possible for applications to use all of GNOME's platform
  libraries using the Javascript language. It's mainly based on the

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,13 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_DH_MAKESHLIBS_ARGS_libgjs0c := -Xusr/lib/gjs-1.0/ -V -- -c4
+# Use recursive variables since this variable must not be expanded until 
+# files have been installed.
+LIBMOZJS = $(shell objdump -p debian/tmp/usr/bin/gjs | awk '$$1=="NEEDED" && $$2~/^libmozjs/ { print $$2 }' | sed s/\\.so\\.// )
+DEB_DH_MAKESHLIBS_ARGS_libgjs0c = -Xusr/lib/gjs-1.0/ -V'libgjs0c (>= $(DEB_UPSTREAM_VERSION)), libgjs0-$(LIBMOZJS)' -- -c4
 
 DEB_MAKE_CHECK_TARGET := check || true
 
 install/libgjs0c::
 	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/libgjs.so.0.0.0
+	echo gjs:Provides=libgjs0-$(LIBMOZJS) >> debian/$(cdbs_curpkg).substvars

## gjs 1.31.22

=== debian/changelog ===
gjs (1.31.22-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control.in: Bump minimum gobject-introspection to 1.31.22

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Mar 2012 21:45:49 -0400

gjs (1.31.20-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Add gir package
  * debian/control.in: Require minimum glib 2.31
  * Drop all patches since they've been applied upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Mar 2012 19:15:08 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -16,9 +16,9 @@
                chrpath,
                pkg-config,
                libdbus-glib-1-dev,
-               libglib2.0-dev,
-               libgirepository1.0-dev (>= 1.29.16),
-               gobject-introspection (>= 1.29.16),
+               libglib2.0-dev (>= 2.31),
+               libgirepository1.0-dev (>= 1.31.22),
+               gobject-introspection (>= 1.31.22),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                libmozjs185-dev,
@@ -58,6 +58,7 @@
 Architecture: any
 Section: libdevel
 Depends: libgjs0c (= ${binary:Version}),
+         gir1.2-gjs-1.0 (= ${binary:Version}),
          ${misc:Depends},
          libgirepository1.0-dev,
          libmozjs185-dev,
@@ -69,3 +70,20 @@
  .
  This package contains the development files applications need to
  build against.
+
+Package: gir1.2-gjs-1.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Conflicts: libgjs0c (<< 1.31.10)
+Replaces: libgjs0c (<< 1.31.10)
+Description: GObject introspection data for GJS
+ Mozilla-based javascript bindings for the GNOME platform
+ Makes it possible for applications to use all of GNOME's platform
+ libraries using the Javascript language. It's mainly based on the
+ Mozilla javascript engine and the GObject introspection framework.
+ .
+ This package contains the GObject introspection data which may be
+ used to generate dynamic bindings.

## gjs 1.32.0

=== debian/changelog ===
gjs (1.32.0-5) unstable; urgency=low

  * 11_revert_abi_breakage.patch: new patch. Revert the ABI breakage 
    introduced by 03_gerror_details.patch.
  * 05_log_typo.patch: upstream patch adapted. Fix a typo in a logging 
    function. Closes: #697211.

 -- Josselin Mouette <joss@debian.org>  Thu, 03 Jan 2013 01:35:29 +0100

gjs (1.32.0-4) unstable; urgency=low

  * 04_gjs_dumpstack.patch: patch from upstream git. Fix the 
    gjs_dumpstack function after the changes introduced by 1.32.0-3.
    Thanks to Niels Thykier’s awesome review for spotting this.

 -- Josselin Mouette <joss@debian.org>  Wed, 12 Dec 2012 20:14:01 +0100

gjs (1.32.0-3) unstable; urgency=low

  * 02_gerror_class.patch, 03_gerror_details.patch: patches from 
    upstream git. Introduce a class to manage GError correctly.
    Closes: #691551.
  * Bump shblibs version since this extends the API.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 11:06:48 +0100

gjs (1.32.0-2) unstable; urgency=low

  * Upload to unstable.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop.
  * Fold libgjs-gdbus into libgjs and move the typelib file into a
    package-private directory. Patch cherry-picked from upstream Git.
  * Use dh-autoreconf to update the build system.
  * Extract libmozjs soname from libgjs.so, not the gjs binary since the
    latter doesn't directly link to libmozjs.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Apr 2012 17:18:34 +0200

gjs (1.32.0-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * Add gir package
  * debian/control.in:
    - Bump minimum glib to 2.31 & gobject-introspection to 1.31.22
    - Bump Standards-Version to 3.9.3
  * Drop all patches since they've been applied upstream

  [ Michael Biebl ]
  * Remove chrpath hack, no longer necessary.
  * debian/libgjs0b.install: Remove /usr/lib/gjs/*.typelib since the typelib
    file is now installed system wide and shipped in a separate package.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Apr 2012 07:55:16 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gjs
Section: interpreters
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8),
               cdbs,
               gnome-pkg-tools,
               autotools-dev,
               dh-autoreconf,
               pkg-config,
               libdbus-glib-1-dev,
               libglib2.0-dev (>= 2.31),
               libgirepository1.0-dev (>= 1.31.22),
               gobject-introspection (>= 1.31.22),
               libmozjs185-dev,
               dbus-x11,
               uuid-runtime,
               libcairo2-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gjs
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gjs
Homepage: http://live.gnome.org/Gjs

Package: gjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introsepection framework.
 .
 This package contains the interactive console application.

Package: libgjs0b
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgjs0, libgjs0a
Replaces: libgjs0, libgjs0a
Provides: ${gjs:Provides}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libgjs-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgjs0b (= ${binary:Version}),
         libgirepository1.0-dev,
         libmozjs185-dev,
         libdbus-1-dev
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# SHVER := $(DEB_UPSTREAM_VERSION)
SHVER := 1.32.0-3

# Use recursive variables since this variable must not be expanded until 
# files have been installed.
LIBMOZJS = $(shell objdump -p debian/tmp/usr/lib/libgjs.so | awk '$$1=="NEEDED" && $$2~/^libmozjs/ { print $$2 }' | sed s/\\.so\\./-/ )
DEB_DH_MAKESHLIBS_ARGS_libgjs0b = -Xusr/lib/gjs-1.0/ -V'libgjs0b (>= $(SHVER)), libgjs0-$(LIBMOZJS)' -- -c4

DEB_MAKE_CHECK_TARGET := check || true

install/libgjs0b::
	echo gjs:Provides=libgjs0-$(LIBMOZJS) >> debian/$(cdbs_curpkg).substvars

## gjs 1.33.2

=== debian/changelog ===
gjs (1.33.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
  * Drop libgjs-gdbus patch as it's been applied in the new release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Jun 2012 22:31:02 -0400

gjs (1.32.0-2ubuntu1) quantal; urgency=low

  * Resynchronize on Debian. Remaining changes:
    - Keep libgjs0b->libgjs0c renaming introduced in Oneiric

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 May 2012 14:28:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: gjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs,
                gnome-pkg-tools,
@@ -38,7 +39,7 @@
  .
  This package contains the interactive console application.
 
-Package: libgjs0b
+Package: libgjs0c
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -57,7 +58,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libgjs0b (= ${binary:Version}),
+         libgjs0c (= ${binary:Version}),
          libgirepository1.0-dev,
          libmozjs185-dev,
          libdbus-1-dev
